part of 'general_description_bloc.dart';

abstract class GeneralDescriptionEvent extends Equatable {
  const GeneralDescriptionEvent();

  @override
  List<Object> get props => [];
}

class LoadGenDesc extends GeneralDescriptionEvent {
  final GeneralDesc gendesc;
  final int? id;

  const LoadGenDesc({required this.gendesc, required this.id});

  @override
  List<Object> get props => [gendesc];
}

class UpdateGenDesc extends GeneralDescriptionEvent {
  final GeneralDesc gendesc;

  const UpdateGenDesc(this.gendesc);

  @override
  List<Object> get props => [gendesc];
}
